Name:           qosmic
Version:        1.4.2
Release:        2%{?dist}
Summary:        A cosmic recursive fractal flame editor written in Qt4

Group:          Applications/Multimedia
License:        GPLv2+
URL:            http://code.google.com/p/%{name}/
Source0:        http://%{name}.googlecode.com/files/%{name}-%{version}.tar.bz2
Source1:        http://%{name}.googlecode.com/svn/trunk/images/icon.jpg
Source2:        %{name}.desktop
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  flam3-devel >= 2.7.16
BuildRequires:  qt4-devel >= 4.3.1
BuildRequires:  ImageMagick
BuildRequires:  desktop-file-utils
BuildRequires:  lua-devel
Requires:       flam3 >= 2.7.16

%description
Qosmic is a nifty toy with which you can edit and render flam3 fractal images.
It is comparable to Apophysis for Windows, with the same basic interface.


%prep
%setup -q -n qosmic


%build
qmake-qt4
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_bindir}
install -cpm 755 qosmic $RPM_BUILD_ROOT%{_bindir}/
convert %{SOURCE1} icon.png
mkdir -p $RPM_BUILD_ROOT%{_datadir}/pixmaps
install -cpm 644 icon.png $RPM_BUILD_ROOT%{_datadir}/pixmaps/qosmic.png
desktop-file-install --vendor="fedora" \
  --dir=${RPM_BUILD_ROOT}%{_datadir}/applications \
  %{SOURCE2}


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{_bindir}/qosmic
%{_datadir}/applications/fedora-qosmic.desktop
%{_datadir}/pixmaps/qosmic.png
%doc README
%doc COPYING
%doc changes.txt


%changelog
* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Wed Oct 01 2008 Ian Weller <ianweller@gmail.com> 1.4.2-1
- Updated upstream

* Thu Sep 11 2008 Ian Weller <ianweller@gmail.com> 1.4.1-1
- Updated upstream:
  - Viewer presets can be renamed and changed, and they no longer modify the
    final image size.
  - Added support for UGR gradient files to the palette editor.
  - Updated all debug messages to work with 64bit systems.
  - Several rendering scheduling bugfixes.
  - Fixed a crash bug in the genome selection widget, and also adjusted the
    layout.
  - Automatically rescale the genome when the image size is changed.
  - Fixed a some scaling and redrawing problems in the figure editor.
  - Updated to flam3-2.7.16.
- Updated flam3 requires to 2.7.16

* Mon Aug 04 2008 Ian Weller <ianweller@gmail.com> 1.4-1
- Updated upstream:
  - Fixed a bug in calculating the scaling factor when resizing triangles.
  - Added more options for origin placement when editing triangles.
  - Added a function to duplicate a triangle.
  - Post transforms for a triangle can be modified.
  - Updated to libflam3-2.7.14.
  - Improved rendering request scheduling.

* Thu Apr 10 2008 Ian Weller <ianweller@gmail.com> 1.3.2-1
- Updated upstream

* Wed Apr 02 2008 Ian Weller <ianweller@gmail.com> 1.3.1-3
- Upstream updated their tarball without increasing the version number. Sneaky.

* Sat Mar 22 2008 Ian Weller <ianweller@gmail.com> 1.3.1-2
- Rebuildling for flam3 2.7.10: the new flam3 changes 'secant' to 'secant2',
  so we must do likewise, and therefore this package only builds on 2.7.10
  or above.

* Tue Mar 11 2008 Ian Weller <ianweller@gmail.com> 1.3.1-1
- Updated upstream

* Sat Mar 01 2008 Ian Weller <ianweller@gmail.com> 1.3-2
- Once again qosmic failed to start because it couldn't find the palettes,
  hopefully fixed for good this time
- Made a small change to qosmic.desktop

* Mon Feb 18 2008 Ian Weller <ianweller@gmail.com> 1.3-1
- Updated upstream

* Sat Feb 09 2008 Ian Weller <ianweller@gmail.com> 1.2-3
- Fixed License tag

* Wed Feb 06 2008 Ian Weller <ianweller@gmail.com> 1.2-2
- Fixed the fact that qosmic wouldn't even build (added BuildRequires)
- Fixed the fact that qosmic wouldn't even run (Patch1)

* Mon Jan 28 2008 Ian Weller <ianweller@gmail.com> 1.2-1
- First package build.
